Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "zohocrm",
  "type": "ZOHO_CRM_TRIGGER_RECORD_UPDATED",
  "parameters": {
    "recordType": "Accounts",
    "recordsFilterFormula": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "id",
              "operator": "$stringContains",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
Configuration options:
recordType
ENUM
required
Record type
  • Allowed values: Accounts, Contacts, Leads, Tasks, Custom Object (<specified by objectName property>)
  • Options can be loaded by using the recordTypeCacheKey key. Learn more in User Configuration.
Additional options when this parameter is set to <specified by objectName property>.
objectName
TEXTAREA
required
The API Name of the Object to update. Use Connect Portal Workflow Settings to allow users to select a Field Mapping.
  • Example value: {{settings.objectType}}
recordsFilterFormula
CONDITIONAL
Only trigger on updated records that match these filters.
  • Supported filter fields: id
  • Supported filter fields are loaded from fieldsCacheKey after selecting recordType.
  • Supported operators: $none, $stringContains, $stringDoesNotContain, $stringExactlyMatches, $stringDoesNotExactlyMatch, $stringIsIn, $stringIsNotIn, $stringStartsWith, $stringDoesNotStartWith, $stringEndsWith, $stringDoesNotEndWith, $numberGreaterThan, $numberLessThan, $numberEquals, $numberDoesNotEqual, $dateTimeAfter, $dateTimeBefore, $dateTimeEquals, $booleanTrue, $booleanFalse, $exists, $doesNotExist